package com.xinelu.manage.domain.nursestationclassifyrelation;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 护理机构所属分类关系对象 nurse_station_classify_relation
 *
 * @author zh
 * @date 2023-02-09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "护理机构所属分类关系对象", description = "nurse_station_classify_relation")
public class NurseStationClassifyRelation extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 4051724936970962134L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 护理站id
     */
    @ApiModelProperty(value = "护理站id")
    @Excel(name = "护理站id")
    private Long nurseStationId;

    /**
     * 护理站所属分类id
     */
    @ApiModelProperty(value = "护理站所属分类id")
    @Excel(name = "护理站所属分类id")
    private Long nurseClassifyId;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("nurseStationId", getNurseStationId())
                .append("nurseClassifyId", getNurseClassifyId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}

